net.minecraftforge.common

## Class ForgeDummyContainer

- java.lang.Object
- - cpw.mods.fml.common.DummyModContainer
  - - net.minecraftforge.common.ForgeDummyContainer

- All Implemented Interfaces:
    ModContainer, WorldAccessContainer

      public class ForgeDummyContainer
      extends DummyModContainer
      implements WorldAccessContainer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int[]` | `blendRanges`
    `static int` | `clumpingThreshold`
    `static boolean` | `disableStitchedFileSaving`
    `static boolean` | `forceDuplicateFluidBlockCrash`
    `static boolean` | `fullBoundingBoxLadders`
    `static boolean` | `removeErroringEntities`
    `static boolean` | `removeErroringTileEntities`

    - ### Fields inherited from interface cpw.mods.fml.common.ModContainer

      `EMPTY_PROPERTIES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForgeDummyContainer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getCustomResourcePackClass()`
    `NBTTagCompound` | `getDataForWriting(SaveHandler handler, WorldInfo info)`
    `File` | `getSource()` The location on the file system which this mod came from
    `void` | `modConstruction(FMLConstructionEvent evt)`
    `void` | `postInit(FMLPostInitializationEvent evt)`
    `void` | `preInit(FMLPreInitializationEvent evt)`
    `void` | `readData(SaveHandler handler, WorldInfo info, Map<String,NBTBase> propertyMap, NBTTagCompound tag)`
    `boolean` | `registerBus(com.google.common.eventbus.EventBus bus, LoadController controller)` Register the event bus for the mod and the controller for error handling Returns if this bus was successfully registered - disabled mods and other mods that don't need real events should return false and avoid further processing
    `void` | `serverStarting(FMLServerStartingEvent evt)`

    - ### Methods inherited from class cpw.mods.fml.common.DummyModContainer

      `acceptableMinecraftVersionRange, bindMetadata, getCustomModProperties, getDependants, getDependencies, getDisplayVersion, getMetadata, getMod, getModId, getName, getProcessedVersion, getRequirements, getSigningCertificate, getSortingRules, getVersion, isImmutable, isNetworkMod, matches, setEnabledState, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### clumpingThreshold

          public static int clumpingThreshold

    - #### removeErroringEntities

          public static boolean removeErroringEntities

    - #### removeErroringTileEntities

          public static boolean removeErroringTileEntities

    - #### disableStitchedFileSaving

          public static boolean disableStitchedFileSaving

    - #### forceDuplicateFluidBlockCrash

          public static boolean forceDuplicateFluidBlockCrash

    - #### fullBoundingBoxLadders

          public static boolean fullBoundingBoxLadders

    - #### blendRanges

          public static int[] blendRanges

  - ### Constructor Detail

    - #### ForgeDummyContainer

          public ForgeDummyContainer()

  - ### Method Detail

    - #### registerBus

          public boolean registerBus(com.google.common.eventbus.EventBus bus,
                            LoadController controller)

      Description copied from interface: `ModContainer`
      Register the event bus for the mod and the controller for error handling Returns if this bus was successfully registered - disabled mods and other mods that don't need real events should return false and avoid further processing
      Specified by:
        `registerBus` in interface `ModContainer`
      Overrides:
        `registerBus` in class `DummyModContainer`

    - #### modConstruction

          public void modConstruction(FMLConstructionEvent evt)

    - #### preInit

          public void preInit(FMLPreInitializationEvent evt)

    - #### postInit

          public void postInit(FMLPostInitializationEvent evt)

    - #### serverStarting

          public void serverStarting(FMLServerStartingEvent evt)

    - #### getDataForWriting

          public NBTTagCompound getDataForWriting(SaveHandler handler,
                                         WorldInfo info)

      Specified by:
        `getDataForWriting` in interface `WorldAccessContainer`

    - #### readData

          public void readData(SaveHandler handler,
                      WorldInfo info,
                      Map<String,NBTBase> propertyMap,
                      NBTTagCompound tag)

      Specified by:
        `readData` in interface `WorldAccessContainer`

    - #### getSource

          public File getSource()

      Description copied from interface: `ModContainer`
      The location on the file system which this mod came from
      Specified by:
        `getSource` in interface `ModContainer`
      Overrides:
        `getSource` in class `DummyModContainer`

    - #### getCustomResourcePackClass

          public Class<?> getCustomResourcePackClass()

      Specified by:
        `getCustomResourcePackClass` in interface `ModContainer`
      Overrides:
        `getCustomResourcePackClass` in class `DummyModContainer`